

# Extract data from Exxon-311
# The velocity model for isotropic migration is Vnmo
# Vnmo = Vv*sqrt(1+2*delta)

dataloc = /data/exxon-311/

dataall: Data/dat311-salt-250m.H Data/dat311-salt-200m.H Data/dat311-salt-150m.H Data/dat311-salt-100m.H Data/dat311-salt-50m.H Data/dat311-salt-25m.H

# Location 2, with salt
Data/dat-extract2.H: exxon311b.H
	Window_key < exxon311b.H key1=s_y mink1=7020. maxk1=7080. key2=g_y mink2=7000. maxk2=7100. > tmp1.H
	Sort3d < tmp1.H nkeys=2 key1=off_x ng1=144 dg1=25. og1=-3725. key2=s_x ng2=600  dg2=25. og2=3000. > tmp2.H
	Stack3d < tmp2.H normalize=y axes=2 | Infill3d normalize=y maxsize=1000 > Data/dat-extract2.H
	echo "label1=t(s) label2=offx(m) label3=sx(m)" >> $@

# 100 m spacing less the empty shot
#purposely delay by 0.1 sec to match sou wavelet
Data/dat311-salt-100m.H Data/sp-salt-100m.H: bin/RemoveEmptyShot.x Data/dat-extract2.H
	pycode/pyRemove.py tmpdat*.H Data/sp-salt-100m.H
	Window3d < Data/dat-extract2.H j3=4 f3=1  > tmpdat1.H
	bin/RemoveEmptyShot.x < tmpdat1.H shotposfile=Data/sp-salt-100m.H > tmpdat2.H
	Bandpass < tmpdat2.H fhi=25. flo=3. > tmpdat3.H
	Pad < tmpdat3.H beg1=25 > tmpdat4.H
	Tpow < tmpdat4.H tpow=0.7 panel=a > tmpdat5.H
	Window3d < tmpdat5.H f1=30 | Pad beg1=30 > tmpdat6.H
	Interp < tmpdat6.H d1out=0.002 n1out=2250 > $@
	echo "o1=0.0 label1=t(s) label2=offx(m) label3=sx(m)" >> $@
	pycode/pyRemove.py tmpdat*.H 


	Interp < tmpdat4.H d1out=0.002 n1out=2250 > $@	
	echo "o1=0.0 label1=t(s) label2=offx(m) label3=sx(m)" >> $@
	pycode/pyRemove.py tmpdat1.H tmpdat2.H tmpdat3.H tmpdat4.H	
	
################################################################################################
##### Velocity model 
################################################################################################

Data/vel311-salt.H:
	Window3d < ${dataloc}/Vel/exxon-velocity.H n2=680 d2=25. o2=1000. > tmpvel1.H
	Window3d < tmpvel1.H n3=1 f3=282 | Interp d1out=25. > $@
	echo "label1=z(m) label2=x(m)" >> $@
	pycode/pyRemove.py tmpvel1.H


################################################################################################
##### Data Weighting
################################################################################################


DatWgt/DW-salt-100m.H: Data/dat311-salt-100m.H
	Rm tmp1.H
	bin/DataWeight2D.x < Data/dat311-salt-100m.H > tmp1.H	
	Mute < tmp1.H tmute=0.25 vmute=1400. > $@
	Rm tmp1.H

DatWgt/DW-salt-100m-tpow.H:  DatWgt/DW-salt-100m.H
	Tpow tpow=1 < DatWgt/DW-salt-100m.H > $@ 
	
	
