param2D= zrec=10. tdelay=0.1 npad=50 vmax=4140. tapeco=4.0e-6 zsrc=20. sder=1 dt_prop=0.002 tswmax=2.5  ntrec=2250 otrec=0.1 dtrec=0.002 nrx=144 orx=125 drx=25 nsx=5 dsx=1. osx=0

param2Dfine= zrec=10. tdelay=0.1 npad=50 vmax=4140. tapeco=4.0e-6 zsrc=20. sder=1 dt_prop=0.001 tswmax=2.5  ntrec=4399 otrec=0.1 dtrec=0.001 nrx=287 orx=125 drx=12.5 nsx=5 dsx=1. osx=0.


#######################################################################################################################
#  Least squares
#######################################################################################################################

# LSRTM - 20 iterations; 
inv/l2-inv-sedi-250m.H: bin/testL2_2D.x Data/vel311-1.H Input/wavelet1D.H Data/dat311-250m-clean.H DatWgt/DWTpow250m.H Data/sp-250m-clean.H 
	pycode/pyRemove.py $@ mmov/mmovl2-rtm-sedi-250m.H rmov/rmovl2-inv-sedi-250m.H
	bin/testL2_2D.x  < Data/vel311-1.H aux=Input/wavelet1D.H datafile=Data/dat311-250m-clean.H ${param2D} DW=1 DWfile=DatWgt/DW-250m-clean.H shotposfile=Data/sp-250m-clean.H niter=20  rmov=rmov/rmovl2-inv-sedi-250m.H mmov=mmov/mmovl2-rtm-sedi-250m.H  outfile=$@ wfldout=0 >& inv/logfile/L2-inv.txt
	
# LSRTM - 20 iterations; broad spectrum
inv/l2-inv-sedi-250m-broad.H: bin/testL2_2D.x Data/vel311-1.H Input/wavelet1Dbroad.H Data/dat311-250m-clean.H DatWgt/DWTpow250m.H Data/sp-250m-clean.H
	pycode/pyRemove.py $@ mmov/mmovl2-rtm-sedi-250m-broad.H rmov/rmovl2-inv-sedi-250m-broad.H
	bin/testL2_2D.x  < Data/vel311-1.H aux=Input/wavelet1Dbroad.H datafile=Data/dat311-250m-clean.H ${param2D} DW=1 DWfile=DatWgt/DW-250m-clean.H shotposfile=Data/sp-250m-clean.H niter=20  rmov=rmov/rmovl2-inv-sedi-250m-broad.H mmov=mmov/mmovl2-rtm-sedi-250m-broad.H  outfile=$@ wfldout=0 >& inv/logfile/L2-inv-broad.txt	
	

#######################################################################################################################
#  Hybrid
#######################################################################################################################

Hy0= eps=0. niter=20 thresh_d=10000
Hy10= eps=0.005  thresh_m=100    niter=20 thresh_d=10000
Hy3= eps=0.005  thresh_m=50    niter=20 thresh_d=10000
Hy4= eps=0.0025 thresh_m=50    niter=20 thresh_d=10000
Hy5= eps=0.005  thresh_m=25    niter=20 thresh_d=10000
Hy6= eps=0.0025 thresh_m=25    niter=20 thresh_d=10000

Hy1= eps=0.005   thresh_m=12.5  niter=20 thresh_d=10000
Hy2= eps=0.0025  thresh_m=12.5  niter=20 thresh_d=10000
Hy7= eps=0.00125 thresh_m=12.5  niter=20 thresh_d=10000
Hy8= eps=0.00125 thresh_m=25    niter=20 thresh_d=10000
Hy9= eps=0.00125 thresh_m=50    niter=20 thresh_d=10000
Hy11= eps=0.00125 thresh_m=50    niter=20 thresh_d=10000

# HPF - 20 iterations
inv/%-rtm-sedi-250m.H: bin/testHybrid_2D.x DatWgt/DWTpow250m.H Data/vel311-1.H Input/wavelet1D.H Data/dat311-250m-clean.H Data/sp-250m-clean.H 
	pycode/pyRemove.py $@
	bin/testHybrid_2D.x  < Data/vel311-1.H aux=Input/wavelet1D.H datafile=Data/dat311-250m-clean.H ${param2D} DW=1 DWfile=DatWgt/DWTpow250m.H shotposfile=Data/sp-250m-clean.H ${$*} outfile=$@ wfldout=0 rmov=rmov/rmov$*-rtm-sedi-250m.H nodes=8 mmov=mmov/mmov$*-rtm-sedi-250m.H >/dev/null

# HPF - 20 iterations; broad spectrum
inv/%-inv-sedi-250m-broad.H: bin/testHybrid_2D.x Data/vel311-1.H DatWgt/DWTpow250m.H Data/dat311-250m-clean.H Input/wavelet1Dbroad.H Data/sp-250m-clean.H 
	pycode/pyRemove.py $@
	bin/testHybrid_2D.x  < Data/vel311-1.H aux=Input/wavelet1Dbroad.H datafile=Data/dat311-250m-clean.H ${param2D} DW=1 DWfile=DatWgt/DWTpow250m.H shotposfile=Data/sp-250m-clean.H ${$*} outfile=$@ wfldout=0 rmov=rmov/rmov$*-rtm-sedi-250m-broad.H nodes=8 mmov=mmov/mmov$*-rtm-sedi-250m-broad.H >& rtm/logfile/hy0-inv-broad.txt

do250m1: inv/Hy1-rtm-sedi-250m.H inv/Hy2-rtm-sedi-250m.H inv/Hy3-rtm-sedi-250m.H inv/Hy4-rtm-sedi-250m.H 

do250m2: inv/Hy5-rtm-sedi-250m.H inv/Hy6-rtm-sedi-250m.H inv/Hy7-rtm-sedi-250m.H inv/Hy8-rtm-sedi-250m.H inv/Hy9-rtm-sedi-250m.H


all250m: inv/Hy1-rtm-sedi-250m.H inv/Hy2-rtm-sedi-250m.H inv/Hy3-rtm-sedi-250m.H \
	inv/Hy4-rtm-sedi-250m.H inv/Hy5-rtm-sedi-250m.H inv/Hy6-rtm-sedi-250m.H \
	inv/Hy7-rtm-sedi-250m.H inv/Hy8-rtm-sedi-250m.H inv/Hy9-rtm-sedi-250m.H


