
gpar1 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=8 labelsz=7 plotfat=3 titlefat=4 labelfat=4 wheretitle=t wherexlabel=b  screenwd=8. screenht=12.5 labelrot=0
gpar2 = label2='X(m)' label1='Z(m)' title=' ' titlesz=8 labelsz=7 plotfat=3 titlefat=4 labelfat=4 wheretitle=t wherexlabel=b  screenwd=12. screenht=8.5 labelrot=0 #grid1=1 g1num=500.

viewfig: Fig/fig1-inputdata.v Fig/fig2-velrtm.v Fig/fig3-inv.v Fig/fig4-resid.v Fig/fig5-3by3.v Fig/fig6-power-sedi.v
	tube Fig/fig1-inputdata.v Fig/fig2-velrtm.v Fig/fig3-inv.v Fig/fig4-resid.v Fig/fig5-3by3.v Fig/fig6-power-sedi.v

#######################################################################################################################
#  Figure 1: Input data sediment case
#######################################################################################################################

Fig/fig1-inputdata.v:
	pycode/pyRemove.py tmp1.H tmp2.H 
	Window3d < Data/dat311-250m-clean.H n3=1 f3=20 > tmp1.H 
	Grey < tmp1.H ${gpar1} title='(a) input data' out=left.v >/dev/null
	Window3d < DatWgt/DWTpow250m.H n3=1 f3=20 > tmp2.H
	Grey < tmp2.H ${gpar1} wantaxis1=0 newclip=1 color=j wantscalebar=y barlabel='data weighting' title='(b) data weighting' out=right.v >/dev/null
	${SEPBIN}/vppen < left.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < right.v vpstyle=n xshift=7. yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > $@
	pycode/pyRemove.py tmp1.H tmp2.H left.v right.v 1.v 2.v 
	
	# | Grey newclip=1 bclip=-10000. eclip=10000. color=IC | Tube &


#######################################################################################################################
#  Figure 2: Velocity model and Migration image - sediment case
#######################################################################################################################

Fig/fig2-velrtm.v:
	pycode/pyRemove.py tmp1.H rtm.H
	Math file1=Data/vel311-1.H exp='file1/1000.' > tmp1.H
#	Grey < tmp1.H ${gpar2} newclip=1 color=j title='(a) velocity model' barlabel='velocity(km/s)' wantaxis2=0 out=top.v >/dev/null
	Grey < tmp1.H ${gpar2} newclip=1 color=j wantscalebar=y bartype=h title='(a) velocity model' barlabel='velocity(km/s)' wantaxis2=0 out=top.v >/dev/null
	Window3d < mmov/mmovl2-rtm-sedi-250m.H  n3=1 f3=0 | Interp d1out=12.5  > rtm.H
	Grey < rtm.H ${gpar2}  title='(b) RTM' out=bot.v >/dev/null
#	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.0 > 1.v
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.6 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig2.txt batch=y > $@
	pycode/pyRemove.py tmp1.H rtm.H top.v bot.v 1.v 2.v 


#######################################################################################################################
#  Figure 3: LSRTM 20th iteration vs HPF 20th iteration - sediment case
#######################################################################################################################

Fig/fig3-inv.v:
	pycode/pyRemove.py tmp1.H rtm.H
	Window3d < mmov/mmovl2-rtm-sedi-250m.H  n3=1 f3=10 | Interp d1out=12.5 > tmp1.H
	Grey < tmp1.H ${gpar2}  title='(a) L2 data-fitting ' wantaxis2=0 out=top.v  >/dev/null
	Window3d < mmov/mmovHy7-rtm-sedi-250m.H n3=1 f3=19 | Interp d1out=12.5 > tmp2.H
	Grey < tmp2.H ${gpar2}  title='(b) L2 data-fitting + HPF model-styling' out=bot.v   >/dev/null
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.0 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig3.txt batch=y > $@
	pycode/pyRemove.py tmp1.H tmp2.H top.v bot.v 1.v 2.v Vtest.v


Fig/fig3-inv-flip.v:
	pycode/pyRemove.py tmp1.H rtm.H
	Window3d < mmov/mmovl2-rtm-sedi-250m.H  n3=1 f3=0 | Interp d1out=12.5 > tmp1.H
	Grey < tmp1.H ${gpar2}  title='(a) RTM ' wantaxis2=0 out=top.v >/dev/null
	Window3d < mmov/mmovl2-rtm-sedi-250m.H n3=1 f3=0 | Interp d1out=12.5 > tmp2.H
	Grey < tmp2.H ${gpar2}  title='(b) RTM ' out=bot.v >/dev/null
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.0 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig3.txt batch=y > $@	
	pycode/pyRemove.py tmp1.H tmp2.H top.v bot.v 1.v 2.v Vtest.v

#######################################################################################################################
#  Figure X: Weighted Input data and Weighted data showing clipped thresholded values - sediment case
#######################################################################################################################
gpar5 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=12 labelsz=7 plotfat=4 titlefat=6 labelfat=6 wheretitle=t wherexlabel=b  screenwd=8. screenht=15.5 labelrot=0

Fig/figX-thresh.v:
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
	Window3d < Data/dat311-250m-clean.H n3=1 f3=20  > tmp1.H 
	Window3d < DatWgt/DWTpow250m.H n3=1 f3=20 > tmp2.H
	Math file1=tmp1.H file2=tmp2.H exp='file1*file2' > tmp3.H
	Grey < tmp3.H ${gpar1} title='(a) weighted input data' out=left.v >/dev/null
	Grey < tmp3.H ${gpar1} wantaxis1=0  newclip=1 bclip=-10000. eclip=10000. color=IC title='(b) Clipped thresholds' out=right.v >/dev/null
	${SEPBIN}/vppen < left.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < right.v vpstyle=n xshift=7. yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > $@
	pycode/pyRemove.py tmp1.H tmp2.H left.v right.v 1.v 2.v 
	
cp1 = 5000.	
cp2 = 3000.	
cp3 = 2000.
cp4 = 1000.
	
Fig/threshD%.v: Data/weighted-dat.H
	Window3d < Data/weighted-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp1} eclip=${cp1} color=IC title='thres=5000. shot $*' out=V1.v >/dev/null
	Window3d < Data/weighted-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp2} eclip=${cp2} color=IC title='thres=3000. shot $*' out=V2.v >/dev/null
	Window3d < Data/weighted-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp3} eclip=${cp3} color=IC title='thres=2000. shot $*' out=V3.v >/dev/null	
	Window3d < Data/weighted-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp4} eclip=${cp4} color=IC title='thres=1000. shot $*' out=V4.v >/dev/null		
	${SEPBIN}/vppen < V1.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < V2.v vpstyle=n xshift=6.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen < V3.v vpstyle=n xshift=12.5 yshift=0.5 > 3.v
	${SEPBIN}/vppen < V4.v vpstyle=n xshift=18.5 yshift=0.5 > 4.v		
	${SEPBIN}/vppen 1.v 2.v 3.v 4.v erase=n scale=0.4 > $@
	
viewthresOdd: Fig/threshD1.v Fig/threshD3.v Fig/threshD5.v Fig/threshD7.v Fig/threshD9.v Fig/threshD11.v Fig/threshD13.v Fig/threshD15.v Fig/threshD17.v Fig/threshD19.v Fig/threshD21.v Fig/threshD23.v Fig/threshD25.v 
	tube Fig/threshD1.v Fig/threshD3.v Fig/threshD5.v Fig/threshD7.v Fig/threshD9.v Fig/threshD11.v Fig/threshD13.v Fig/threshD15.v Fig/threshD17.v Fig/threshD19.v Fig/threshD21.v Fig/threshD23.v Fig/threshD25.v&
	
viewthresEven: Fig/threshD2.v Fig/threshD4.v Fig/threshD6.v Fig/threshD8.v Fig/threshD10.v Fig/threshD12.v Fig/threshD14.v Fig/threshD16.v Fig/threshD18.v Fig/threshD20.v Fig/threshD22.v Fig/threshD24.v Fig/threshD26.v 
	tube Fig/threshD2.v Fig/threshD4.v Fig/threshD6.v Fig/threshD8.v Fig/threshD10.v Fig/threshD12.v Fig/threshD14.v Fig/threshD16.v Fig/threshD18.v Fig/threshD20.v Fig/threshD22.v Fig/threshD24.v Fig/threshD26.v  & 
	
Data/weighted-dat.H: 
	Math file1=Data/dat311-250m-clean.H file2=DatWgt/DWTpow250m.H exp='file1*file2' > Data/weighted-dat.H	
	
#######################################################################################################################
#  Figure 4: Data residual (L2 iteration 1 vs 20 , Hybrid iteration 1 vs 20)
#######################################################################################################################
gpar3fig4 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=12 labelsz=7 plotfat=4 titlefat=6 labelfat=6 wheretitle=t wherexlabel=b  screenwd=8. screenht=10.5 labelrot=0
residclipfig4= bclip=-2000. eclip=2000. max1=3.5 min1=0.5 max2=2500. 
residclip2fig4= bclip=-0.3377 eclip=0.3377 max1=3.5 min1=0.5 max2=2500. 

Fig/fig4-resid.v: Data/weighted-dat.H
	pycode/pyRemove.py l2iter1.H l2iter20.H Hyiter1.H Hyiter20.H input.H tmp1.H
	Window3d < Data/weighted-dat.H n3=1 f3=10 > tmp1.H
	Math file1=tmp1.H exp='file1*-1.' > input.H
	Window3d < rmov/rmovl2-inv-sedi-250m.H n3=1 f3=10 | Window3d n3=1 f3=0 > l2iter1.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> l2iter1.H
	Window3d < rmov/rmovl2-inv-sedi-250m.H n3=1 f3=10 | Window3d n3=1 f3=12 > l2iter20.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> l2iter20.H
	Window3d < rmov/rmovHy7-rtm-sedi-250m.H n3=1 f3=10 | Window3d n3=1 f3=0 > Hyiter1.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> Hyiter1.H
	Window3d < rmov/rmovHy7-rtm-sedi-250m.H n3=1 f3=10 | Window3d n3=1 f3=19 > Hyiter20.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> Hyiter20.H
	Grey < input.H ${gpar3fig4} newclip=1 ${residclipfig4} wantaxis1=1 wantaxis2=0 title='(a) Weighted input' out=Vinput1.v >/dev/null
	Grey < l2iter1.H ${gpar3fig4} newclip=1 ${residclipfig4} wantaxis1=0 wantaxis2=0 title='(b) L2 iter 1' out=Vl2iter1.v >/dev/null
	Grey < l2iter20.H ${gpar3fig4} newclip=1 ${residclipfig4} wantaxis1=0 wantaxis2=0 title='(c) L2 iter 12' out=Vl2iter20.v >/dev/null
	Grey < input.H ${gpar3fig4} newclip=1 ${residclipfig4} wantaxis1=1 wantaxis2=1  title='(d) Weighted input' out=Vinput2.v >/dev/null
	Grey < Hyiter1.H ${gpar3fig4} newclip=1 ${residclip2fig4} wantaxis1=0 wantaxis2=1  title='(e) L2+HPF iter 1' out=VHyiter1.v >/dev/null
	Grey < Hyiter20.H ${gpar3fig4} newclip=1 ${residclip2fig4} wantaxis1=0 wantaxis2=1 title='(f) L2+HPF iter 20' out=VHyiter20.v >/dev/null
	${SEPBIN}/vppen < Vinput1.v vpstyle=n xshift=0.5 yshift=9.5 > 1.v
	${SEPBIN}/vppen < Vl2iter1.v vpstyle=n xshift=7. yshift=9.5 > 2.v
	${SEPBIN}/vppen < Vl2iter20.v vpstyle=n xshift=13.5 yshift=9.5 > 3.v
	${SEPBIN}/vppen < Vinput2.v vpstyle=n xshift=0.5 yshift=0.5 > 4.v
	${SEPBIN}/vppen < VHyiter1.v vpstyle=n xshift=7. yshift=0.5 > 5.v
	${SEPBIN}/vppen < VHyiter20.v vpstyle=n xshift=13.5 yshift=0.5 > 6.v
	${SEPBIN}/vppen 1.v 2.v 3.v 4.v 5.v 6.v erase=n scale=0.4 > $@	
	#pycode/pyRemove.py l2iter1.H l2iter20.H Hyiter1.H Hyiter20.H Vl2iter*v VHyiter*v input.H tmp1.H
	

	
#######################################################################################################################
#  Figure 5: The 3 X 3 Hybrid inversino plot
#######################################################################################################################
gpar4 = label2=' ' label1='Z(m)' title=' ' titlesz=10 labelsz=10 plotfat=4 titlefat=6 labelfat=6 bartype=h wheretitle=t wherexlabel=b  screenwd=8. screenht=6. labelrot=0 n1tic=0 n2tic=0 d1num=10000. d2num=100000. wherexlabel=t labelrot=1
gclip = pclip=98.

Fig/fig5-3by3.v:
	pycode/pyRemove.py top.H mid.H bot.H 
	Window3d < mmov/mmovHy7-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} label1='g_m=12.5' title='eps=0.00125' wantaxis1=1 wantaxis2=0 out=Vhy7.v >/dev/null
	Window3d < mmov/mmovHy2-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} title='eps=0.0025' wantaxis1=0 wantaxis2=0 out=Vhy2.v >/dev/null
	Window3d < mmov/mmovHy1-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} title='eps=0.005' wantaxis1=0 wantaxis2=0 out=Vhy1.v >/dev/null
	Window3d < mmov/mmovHy8-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} label1='g_m=25.' wantaxis1=1 wantaxis2=0 out=Vhy8.v >/dev/null
	Window3d < mmov/mmovHy6-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} wantaxis1=0 wantaxis2=0 out=Vhy6.v >/dev/null
	Window3d < mmov/mmovHy5-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} wantaxis1=0 wantaxis2=0 out=Vhy5.v >/dev/null
	Window3d < mmov/mmovHy9-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} label1='g_m=50.'  wantaxis1=1 wantaxis2=0 out=Vhy9.v >/dev/null
	Window3d < mmov/mmovHy4-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} wantaxis1=0 wantaxis2=0 out=Vhy4.v >/dev/null
	Window3d < mmov/mmovHy3-rtm-sedi-250m.H n3=1 f3=19 | Grey ${gpar4} ${gclip} wantaxis1=0 wantaxis2=0 out=Vhy3.v >/dev/null
	${SEPBIN}/vppen < Vhy7.v vpstyle=n xshift=0.5 yshift=9.5 > 7.v
	${SEPBIN}/vppen < Vhy2.v vpstyle=n xshift=6.5 yshift=9.5 > 2.v
	${SEPBIN}/vppen < Vhy1.v vpstyle=n xshift=12.5 yshift=9.5 > 1.v
	${SEPBIN}/vppen < Vhy8.v vpstyle=n xshift=0.5 yshift=5.0 > 8.v
	${SEPBIN}/vppen < Vhy6.v vpstyle=n xshift=6.5 yshift=5.0 > 6.v
	${SEPBIN}/vppen < Vhy5.v vpstyle=n xshift=12.5 yshift=5.0 > 5.v
	${SEPBIN}/vppen < Vhy9.v vpstyle=n xshift=0.5 yshift=0.5 > 9.v
	${SEPBIN}/vppen < Vhy4.v vpstyle=n xshift=6.5 yshift=0.5 > 4.v
	${SEPBIN}/vppen < Vhy3.v vpstyle=n xshift=12.5 yshift=0.5 > 3.v
	${SEPBIN}/vppen 1.v 2.v 3.v 4.v 5.v 6.v 7.v 8.v 9.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig6.txt batch=y > $@
	rm -f 1.v 2.v 3.v 4.v 5.v 6.v 7.v 8.v 9.v Vhy*v


#######################################################################################################################
#  Figure 6: Power spectrum of the image
#######################################################################################################################
gpar6 = label1='kz [1/m] ' label2='Amplitude(dB)' title=' ' titlesz=5 labelsz=5 plotfat=4 titlefat=3 labelfat=3 bartype=h wheretitle=t wherexlabel=b  screenwd=10. screenht=8. labelrot=0 wherexlabel=t legendsz=5 legendloc=tl wherexlabel=b legendtitle=' '

Fig/fig6-power-sedi.v:
	pycode/pyRemove.py pow*H
	Window3d < mmov/mmovl2-rtm-sedi-250m.H  n3=1 f3=0 | Spectra | Stack | Scale scale_to=1.0 > pow1.H
	Window3d < mmov/mmovl2-rtm-sedi-250m.H  n3=1 f3=12 | Spectra | Stack | Scale scale_to=1.0   > pow2.H
	Window3d < mmov/mmovHy7-rtm-sedi-250m.H  n3=1 f3=19 | Spectra | Stack | Scale scale_to=1.0 > pow3.H
	Math file1=pow1.H exp='@LOG(file1)*10.' > pow1dec.H
	Math file1=pow2.H exp='@LOG(file1)*10.' > pow2dec.H
	Math file1=pow3.H exp='@LOG(file1)*10.' > pow3dec.H
	Cat pow1dec.H pow2dec.H pow3dec.H axis=2 > pow4.H
	Graph < pow4.H n2=3 legend=1 curvelabel=RTM:L2:HPF title='Power Spectrum ' ${gpar6} dash=3,0,2 out=$@ >/dev/null
#	pycode/pyRemove.py pow*H

colorspec-sedi.v:
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
	Spectra < inv/l2-inv-sedi-250m.H | Scale scale_to=1. > tmp1.H
	Spectra < inv/Hy7-rtm-sedi-250m.H | Scale scale_to=1. > tmp2.H
	Cat tmp1.H tmp2.H axis=3 > tmp3.H
	< tmp3.H Grey newclip=1 color=j titles='l2-spec':'hy-spec' out=$@ bclip=0.6 eclip=-0.6 >/dev/null 
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
