
gpar11 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=8 labelsz=7 plotfat=3 titlefat=4 labelfat=4 wheretitle=t wherexlabel=b  screenwd=8. screenht=12.5 labelrot=0
gpar12 = label2='X(m)' label1='Z(m)' title=' ' titlesz=8 labelsz=7 plotfat=3 titlefat=4 labelfat=4 bartype=h wheretitle=t wherexlabel=b  screenwd=12. screenht=8.5 labelrot=0

viewfig2: Fig/fig7-inputdata-salt.v Fig/fig8-velrtm-salt.v Fig/fig9-inv-salt.v Fig/fig10-resid-salt.v Fig/fig11-power-salt.v
	tube Fig/fig7-inputdata-salt.v Fig/fig8-velrtm-salt.v Fig/fig9-inv-salt.v Fig/fig10-resid-salt.v Fig/fig11-power-salt.v

#######################################################################################################################
#  Figure 7: Input data sediment case
#######################################################################################################################

Fig/fig7-inputdata-salt.v:
	pycode/pyRemove.py tmp1.H tmp2.H 
	Window3d < Data/dat311-salt-100m.H  n3=1 f3=1 > tmp1.H 
	Grey < tmp1.H ${gpar11} title='(a) input data' out=left.v >/dev/null
	Window3d < DatWgt/DW-salt-100m-tpow.H n3=1 f3=1 > tmp2.H
	Grey < tmp2.H ${gpar11} wantaxis1=0 newclip=1 color=j wantscalebar=y barlabel='data weighting' title='(b) data weighting' out=right.v >/dev/null
	${SEPBIN}/vppen < left.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < right.v vpstyle=n xshift=7. yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > $@
	pycode/pyRemove.py tmp1.H tmp2.H left.v right.v 1.v 2.v 
	
	# | Grey newclip=1 bclip=-10000. eclip=10000. color=IC | Tube &


#######################################################################################################################
#  Figure 8: Velocity model and Migration image - sediment case
#######################################################################################################################

Fig/fig8-velrtm-salt.v:
	pycode/pyRemove.py tmp1.H rtm.H
	Math file1=Data/vel311-salt.H exp='file1/1000.' > tmp1.H
	Grey < tmp1.H ${gpar12} newclip=1 color=j wantscalebar=y title='(a) velocity model' barlabel='velocity(km/s)' wantaxis2=0 out=top.v >/dev/null
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 | Interp d1out=12.5 > rtm.H
	Grey < rtm.H ${gpar12}  title='(b) RTM' out=bot.v >/dev/null
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=9.0 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig8.txt batch=y > $@
	pycode/pyRemove.py tmp1.H rtm.H top.v bot.v 1.v 2.v Vtest.v


testrtm:
	pycode/pyRemove.py tmp1.H tmp2.H
	Interp < inv/l2-inv-salt-100m.H d1out=12.5 > tmp2.H
#	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 > tmp1.H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 | Interp d1out=12.5 > tmp1.H	
	python ~/Setup/pyGreybwMul.py tmp1.H tmp2.H 

#######################################################################################################################
#  Figure 9: LSRTM 20th iteration vs HPF 20th iteration - sediment case
#######################################################################################################################
testinv:
	pycode/pyRemove.py tmp*H
	Window3d < mmov/mmovHy1-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp1.H	
	Window3d < mmov/mmovHy3-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp3.H
	Window3d < mmov/mmovHy4-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp4.H
	Window3d < mmov/mmovHy5-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp5.H
	Window3d < mmov/mmovHy6-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp6.H	
	Window3d < mmov/mmovHy7-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp7.H	
	python ~/Setup/pyGreybwMul.py tmp1.H tmp3.H tmp4.H tmp5.H tmp6.H tmp7.H		
	pycode/pyRemove.py tmp*H

Fig/fig9-inv-salt.v:
	pycode/pyRemove.py tmp1.H tmp2.H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=19 > tmp1.H
	Grey < tmp1.H ${gpar12}  pclip=98. title='(a) L2 data-fitting ' wantaxis2=0 out=top.v >/dev/null
	Window3d < mmov/mmovHy5-rtm-salt-100m.H n3=1 f3=19 | Interp d1out=12.5 >  tmp2.H
	Grey < tmp2.H ${gpar12}  pclip=98. title='(b) L2 data-fitting + HPF model-styling' out=bot.v >/dev/null
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.0 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > Vtest.v
	vp_annotate < Vtest.v text=Ant/antfig9.txt batch=y > $@	
	pycode/pyRemove.py tmp1.H tmp2.H top.v bot.v 1.v 2.v Vtest.v

Fig/fig9-inv-salt-flip.v:
	pycode/pyRemove.py tmp1.H tmp2.H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 > tmp1.H
	Grey < tmp1.H ${gpar12}  pclip=98. title='(a) RTM ' wantaxis2=0 out=top.v >/dev/null
	Window3d < mmov/mmovHy5-rtm-salt-100m.H n3=1 f3=0 | Interp d1out=12.5 >  tmp2.H
	Grey < tmp2.H ${gpar12}  pclip=98. title='(b) RTM ' out=bot.v >/dev/null
	${SEPBIN}/vppen < top.v vpstyle=n xshift=0.5 yshift=8.0 > 1.v
	${SEPBIN}/vppen < bot.v vpstyle=n xshift=0.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > $@
	pycode/pyRemove.py tmp1.H tmp2.H top.v bot.v 1.v 2.v 
	

#######################################################################################################################
#  Figure X: Weighted Input data and Weighted data showing clipped tthresholded values - sediment case
#######################################################################################################################
gpar5 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=12 labelsz=7 plotfat=4 titlefat=6 labelfat=6 wheretitle=t wherexlabel=b  screenwd=8. screenht=15.5 labelrot=0

Fig/figX-tthresh-salt.v:
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
	Window3d < Data/dat311-salt-100m.H n3=1 f3=1  > tmp1.H 
	Window3d < DatWgt/DW-salt-100m-tpow.H n3=1 f3=1 > tmp2.H
	Math file1=tmp1.H file2=tmp2.H exp='file1*file2' > tmp3.H
	Grey < tmp3.H ${gpar11} title='(a) weighted input data' out=left.v >/dev/null
	Grey < tmp3.H ${gpar11} wantaxis1=0  newclip=1 bclip=-10000. eclip=10000. color=IC title='(b) Clipped tthresholds' out=right.v >/dev/null
	${SEPBIN}/vppen < left.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < right.v vpstyle=n xshift=7. yshift=0.5 > 2.v
	${SEPBIN}/vppen 1.v 2.v erase=n scale=0.4 > $@
	pycode/pyRemove.py tmp1.H tmp2.H left.v right.v 1.v 2.v 
	
cp1 = 5000.	
cp2 = 3000.	
cp3 = 2000.
cp4 = 1000.
	
Fig/tthreshD-salt-%.v: Data/weighted-salt-dat.H
	Window3d < Data/weighted-salt-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp1} eclip=${cp1} color=IC title='thres=5000. shot $*' out=V1.v >/dev/null
	Window3d < Data/weighted-salt-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp2} eclip=${cp2} color=IC title='thres=3000. shot $*' out=V2.v >/dev/null
	Window3d < Data/weighted-salt-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp3} eclip=${cp3} color=IC title='thres=2000. shot $*' out=V3.v >/dev/null	
	Window3d < Data/weighted-salt-dat.H n3=1 f3=$* | Grey ${gpar5} wantaxis1=0  newclip=1 bclip=-${cp4} eclip=${cp4} color=IC title='thres=1000. shot $*' out=V4.v >/dev/null		
	${SEPBIN}/vppen < V1.v vpstyle=n xshift=0.5 yshift=0.5 > 1.v
	${SEPBIN}/vppen < V2.v vpstyle=n xshift=6.5 yshift=0.5 > 2.v
	${SEPBIN}/vppen < V3.v vpstyle=n xshift=12.5 yshift=0.5 > 3.v
	${SEPBIN}/vppen < V4.v vpstyle=n xshift=18.5 yshift=0.5 > 4.v		
	${SEPBIN}/vppen 1.v 2.v 3.v 4.v erase=n scale=0.4 > $@
	
viewthres-salt: Fig/tthreshD-salt-10.v Fig/tthreshD-salt-10.v  Fig/tthreshD-salt-30.v  Fig/tthreshD-salt-40.v  Fig/tthreshD-salt-50.v  Fig/tthreshD-salt-60.v  Fig/tthreshD-salt-70.v  Fig/tthreshD-salt-80.v 
	tube Fig/tthreshD-salt-10.v Fig/tthreshD-salt-10.v  Fig/tthreshD-salt-30.v  Fig/tthreshD-salt-40.v  Fig/tthreshD-salt-50.v  Fig/tthreshD-salt-60.v  Fig/tthreshD-salt-70.v  Fig/tthreshD-salt-80.v  & 
	
Data/weighted-salt-dat.H: 
	Math file1=Data/dat311-salt-100m.H file2=DatWgt/DW-salt-100m-tpow.H exp='file1*file2' > Data/weighted-salt-dat.H	
	
#######################################################################################################################
#  Figure 10: Data residual (L2 iteration 1 vs 20 , Hybrid iteration 1 vs 20)
#######################################################################################################################
gpar3 = label2='Offset(m)' label1='T(s)' title=' ' titlesz=12 labelsz=7 plotfat=4 titlefat=6 labelfat=6 wheretitle=t wherexlabel=b  screenwd=8. screenht=10.5 labelrot=0
residclipfig10= bclip=-3200. eclip=3200. max1=3.5 min1=0.5 max2=3500. 
residclip2fig10= bclip=-0.3377 eclip=0.3377 max1=3.5 min1=0.5 max2=3500. 

Fig/fig10-resid-salt.v: Data/weighted-salt-dat.H
	pycode/pyRemove.py l2iter1.H l2iter20.H Hyiter1.H Hyiter20.H input.H Data/weighted-salt-dat-tmp.H Vl2iter*v VHyiter*v
	Math file1=Data/weighted-salt-dat.H exp='file1*-1' > Data/weighted-salt-dat-tmp.H
	Window3d < Data/weighted-salt-dat-tmp.H n3=1 f3=1 > input.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> input.H
	Window3d < rmov/rmovl2-inv-salt-100m.H n3=1 f3=1 | Window3d n3=1 f3=0 > l2iter1.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> l2iter1.H
	Window3d < rmov/rmovl2-inv-salt-100m.H n3=1 f3=1 | Window3d n3=1 f3=19 > l2iter20.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> l2iter20.H
	Window3d < rmov/rmovHy5-rtm-salt-100m.H n3=1 f3=1 | Window3d n3=1 f3=0 > Hyiter1.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> Hyiter1.H
	Window3d < rmov/rmovHy5-rtm-salt-100m.H n3=1 f3=1 | Window3d n3=1 f3=19 > Hyiter20.H
	echo "o1=0.1 d1=0.002 o2=125. d2=25. label1='time(s)' label2='offset(m)' " >> Hyiter20.H
	Grey < input.H ${gpar3} newclip=1 ${residclipfig10} wantaxis1=1 wantaxis2=0 title='(a) Weighted input' out=Vinput1.v >/dev/null
	Grey < l2iter1.H ${gpar3} newclip=1 ${residclipfig10} wantaxis1=0 wantaxis2=0 title='(b) L2 iter 1' out=Vl2iter1.v >/dev/null
	Grey < l2iter20.H ${gpar3} newclip=1 ${residclipfig10} wantaxis1=0 wantaxis2=0 title='(c) L2 iter 20' out=Vl2iter20.v >/dev/null
	Grey < input.H ${gpar3} newclip=1 ${residclipfig10} wantaxis1=1 wantaxis2=1  title='(d) Weighted input' out=Vinput2.v >/dev/null
	Grey < Hyiter1.H ${gpar3} newclip=1 ${residclip2fig10} wantaxis1=0 wantaxis2=1  title='(e) L2+HPF iter 1' out=VHyiter1.v >/dev/null
	Grey < Hyiter20.H ${gpar3} newclip=1 ${residclip2fig10} wantaxis1=0 wantaxis2=1 title='(f) L2+HPF iter 20' out=VHyiter20.v >/dev/null
	${SEPBIN}/vppen < Vinput1.v vpstyle=n xshift=0.5 yshift=9.5 > 1.v
	${SEPBIN}/vppen < Vl2iter1.v vpstyle=n xshift=7. yshift=9.5 > 2.v
	${SEPBIN}/vppen < Vl2iter20.v vpstyle=n xshift=13.5 yshift=9.5 > 3.v
	${SEPBIN}/vppen < Vinput2.v vpstyle=n xshift=0.5 yshift=0.5 > 4.v
	${SEPBIN}/vppen < VHyiter1.v vpstyle=n xshift=7. yshift=0.5 > 5.v
	${SEPBIN}/vppen < VHyiter20.v vpstyle=n xshift=13.5 yshift=0.5 > 6.v
	${SEPBIN}/vppen 1.v 2.v 3.v 4.v 5.v 6.v erase=n scale=0.4 > $@	
#	pycode/pyRemove.py l2iter1.H l2iter20.H Hyiter1.H Hyiter20.H Vl2iter*v VHyiter*v input.H  Data/weighted-salt-dat-tmp.H
	tube Vinput1.v Vl2iter1.v Vl2iter20.v Vinput2.v VHyiter1.v VHyiter20.v

	
#######################################################################################################################
#  Figure 11: Power spectrum of the image
#######################################################################################################################
gpar7 = label1='kz [1/m] ' label2='Amplitude(dB)' title=' ' titlesz=5 labelsz=5 plotfat=4 titlefat=3 labelfat=3 bartype=h wheretitle=t wherexlabel=b  screenwd=10. screenht=8. labelrot=0 wherexlabel=t legendsz=5 legendloc=bl wherexlabel=b legendtitle=' '

Fig/fig11-power-salt.v:
	pycode/pyRemove.py pow*H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 | Spectra |  Window n2=100 f2=460 | Stack  | Scale scale_to=1.0 > pow1.H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=19 | Spectra |  Window n2=100 f2=460 | Stack | Scale scale_to=1.0  > pow2.H
	Window3d < mmov/mmovHy5-rtm-salt-100m.H  n3=1 f3=19 | Spectra |  Window n2=100 f2=460 | Stack  | Scale scale_to=1.0 > pow3.H
	Math file1=pow1.H exp='@LOG(file1)*10.' > pow1dec.H
	Math file1=pow2.H exp='@LOG(file1)*10.' > pow2dec.H
	Math file1=pow3.H exp='@LOG(file1)*10.' > pow3dec.H
	Cat pow1dec.H pow2dec.H pow3dec.H axis=2 > pow4.H
	Graph < pow4.H n2=3 legend=1 curvelabel=RTM:L2:HPF title='Power Spectrum ' ${gpar7} dash=3,0,2 out=$@ >/dev/null
	pycode/pyRemove.py pow*H


# zone1: 0 to 5000m (i2=0 to 200)
# zone2: 5000 to 11000m (i2=200 to 440)
# zone3: 11000 to end (i2=440 to 680)
	
testspec3.v:
	pycode/pyRemove.py pow*H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 |  Spectra | Window n2=100 f2=460 | Stack   > pow1.H
	Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=19 |  Spectra | Window n2=100 f2=460  | Stack > pow2.H
	Window3d < mmov/mmovHy5-rtm-salt-100m.H  n3=1 f3=19 | Spectra | Window n2=100 f2=460 | Stack > pow3.H
	#Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=0 | Spectra | Window n2=80 f2=480 | Stack | Scale scale_to=1.0  > pow1.H
	#Window3d < mmov/mmovl2-inv-salt-100m.H  n3=1 f3=19 | Spectra | Window n2=80 f2=480  | Stack | Scale scale_to=1.0  > pow2.H
	#Window3d < mmov/mmovHy5-rtm-salt-100m.H  n3=1 f3=19 | Spectra | Window n2=80 f2=480 | Stack | Scale scale_to=1.0 > pow3.H
	Math file1=pow1.H exp='@LOG(file1)*10.' > pow1dec.H
	Math file1=pow2.H exp='@LOG(file1)*10.' > pow2dec.H
	Math file1=pow3.H exp='@LOG(file1)*10.' > pow3dec.H
	Cat pow1dec.H pow2dec.H pow3dec.H axis=2 > pow4.H
	Graph < pow4.H n2=3 legend=1 curvelabel=RTM:L2:HPF title='Power Spectrum ' ${gpar7} dash=3,0,2 out=$@ >/dev/null
	pycode/pyRemove.py pow*H
	
colorspec-salt.v:
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
	Spectra < inv/l2-inv-salt-100m.H| Scale scale_to=1. > tmp1.H
	Spectra < inv/Hy5-salt-100m.H | Scale scale_to=1. > tmp2.H
	Cat tmp1.H tmp2.H axis=3 > tmp3.H
	< tmp3.H Grey newclip=1 color=j titles='l2-spec':'hy-spec' out=$@ bclip=0.6 eclip=-0.6 >/dev/null 
	pycode/pyRemove.py tmp1.H tmp2.H tmp3.H
	

