param1D=zrec=10. tdelay=0.2 dt-prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. sder=1




#######################################################################################################################
#  Figure 1: Sediment Velocity, clean data
#######################################################################################################################

# RTM - sedi-velocity omega^2 on wavelet
rtm/l2-rtm-sedi.H: Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndata-sedi.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndata-sedi.H ${param1D} niter=1  outfile=$@ wfldout=0  >& rtm/logfile/L2-rtm.txt

# L2-invsersion (200 iterations), sediment-velocity, spiky noise, omega^2 on src
rtm/l2-inv-iter200-sedi.H: Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndata-sedi.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndata-sedi.H ${param1D} niter=200  outfile=$@ wfldout=0 >/dev/null

# HPF data and model space
rtm/hy-inv-iter200-sedi.H: bin/testHybrid.x Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndata-sedi.H
	pycode/pyRemove.py $@
	bin/testHybrid.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndata-sedi.H  ${param1D} thresh_d=1000 niter=200 outfile=$@ wfldout=0 eps=0.004 thresh_m=1


#######################################################################################################################
#  Figure 2: Sediment Velocity, Spiky noise
#######################################################################################################################

# RTM - sedi-velocity omega^2 on wavelet
rtm/l2-rtm-sedi-spiky.H: Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise-sedi.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise-sedi.H ${param1D} niter=1  outfile=$@ wfldout=0  >& rtm/logfile/L2-rtm.txt

# L2-invsersion (200 iterations), sediment-velocity, spiky noise, omega^2 on src
rtm/l2-inv-iter200-sedi-spiky.H: Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise-sedi.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise-sedi.H ${param1D} niter=200  outfile=$@ wfldout=0 >/dev/null

# HPF data and model space
rtm/hy-inv-iter200-sedi-spiky-sparse.H: bin/testHybrid.x Input/velsedi1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise-sedi.H
	pycode/pyRemove.py $@
	bin/testHybrid.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise-sedi.H  ${param1D} thresh_d=1000 niter=200 outfile=$@ wfldout=0 eps=0.004 thresh_m=1

#######################################################################################################################
#  Figure 3: Salt velocity, clean data
#######################################################################################################################

# RTM - bandpass on refl
rtm/l2-rtm-salt.H: Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataSP.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataSP.H ${param1D} niter=1  outfile=$@ wfldout=0  >& rtm/logfile/L2-rtm.txt

# L2-inversion (200 iterations),  omega^2 on src
rtm/l2-inv-iter200-salt.H: Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataSP.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataSP.H  ${param1D} niter=200  outfile=$@ wfldout=0 >/dev/null

# HPF data and model space, omega^2 on src
rtm/hy-inv-iter200-salt.H: bin/testHybrid.x Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataSP.H
	pycode/pyRemove.py $@
	bin/testHybrid.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataSP.H  ${param1D} thresh_d=30000 niter=200 outfile=$@ wfldout=0 eps=0.000002 thresh_m=1


#######################################################################################################################
#  Figure 4: Salt velocity, spiky noise
#######################################################################################################################

# RTM - omega^2 on wavelet
rtm/l2-rtm-salt-spiky.H: Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise.H  ${param1D} niter=1  outfile=$@ wfldout=0  >& rtm/logfile/L2-rtm.txt

# L2-invsersion (200 iterations), spiky noise, omega^2 src
rtm/l2-inv-iter200-salt-spiky.H: Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise.H bin/testL2.x
	pycode/pyRemove.py $@
	bin/testL2.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise.H ${param1D} niter=200  outfile=$@ wfldout=0 >& rtm/logfile/L2-iter200-spiky.txt

# HPF data and model space, spike on src
rtm/hy-inv-iter200-salt-spiky.H: bin/testHybrid.x Input/veltrue1D.H Input/wavelet1D2MF2.H Data/syndataspikynoise.H
	pycode/pyRemove.py $@
	bin/testHybrid.x  < Input/veltrue1D.H aux=Input/wavelet1D2MF2.H datafile=Data/syndataspikynoise.H  ${param1D} thresh_d=1000 niter=200 outfile=$@ wfldout=0  eps=0.002 thresh_m=1 



