
########################################################################
# Spectrum analysis 
########################################################################
# Compare the spectra of the resulting inverted reflectivity using two wavelets.
# One wavelet is the same one used to create the synthetic
# The other one has a boarder spectrum
########################################################################

rtm/refl-orig.H: Input/velsedi1D.H Input/wavelet1D2LF.H Data/syndata_sedi.H bin/testL2.x
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2LF.H datafile=Data/syndata_sedi.H  zrec=10. tdelay=0.2 dt_prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. niter=100  outfile=rtm/refl-orig.H wfldout=0 sder=1 >/dev/null
	
rtm/refl-broad.H: Input/velsedi1D.H Input/wavelet1D2MF.H Data/syndata_sedi.H bin/testL2.x
	bin/testL2.x  < Input/velsedi1D.H aux=Input/wavelet1D2MF.H datafile=Data/syndata_sedi.H  zrec=10. tdelay=0.2 dt_prop=0.001 npad=100 vmax=4500. tapeco=4.0e-6 zsrc=10. niter=10  outfile=rtm/refl-broad.H wfldout=0 sder=1 >/dev/null
	
Fig/wavelet-spec-compare.v:
	Spectra < Input/wavelet1D2LF.H | Scale scale_to=1. > tmp1.H
	Spectra < Input/wavelet1D2MF.H | Scale scale_to=1. > tmp2.H
	Cat tmp1.H tmp2.H axis=2 | Graph  min2=0. max2=1.0 max1=100. label2='amplitude' label1='w(hz)' title='spectrum of wavelet'  legendsz=10. legend=1 curvelabel='original:boarder' out=$@ >/dev/null
	pycode/pyRemove.py tmp1.H tmp2.H
	
gppar2 = min2=0. max2=1.0   label2='amplitude' label1='k(1/m)' legend=0 legendtitle=' ' legendsz=10. legendpos=5.8,7. titlesz=18 labelsz=15
Fig/refl-spec-compare.v: rtm/refl-orig.H rtm/refl-broad.H
	< Input/refl1D.H Spectra | Scale scale_to=1. | Graph ${gppar2} out=Fig/Vtop.v wantaxis1=0 title='Spectrum: Input refl' >/dev/null
	< rtm/refl-orig.H Spectra |  Scale scale_to=1. | Graph ${gppar2} out=Fig/Vmid.v wantaxis1=0 title='Spectrum: L2-inv with Original wavelet' >/dev/null
	< rtm/refl-broad.H Spectra | Scale scale_to=1.| Graph ${gppar2}  out=Fig/Vbot.v wantaxis1=0 title='Spectrum: L2-inv Boarder wavelet' >/dev/null
	< Input/refl1D.H Bandpass fhi=0.025 nphi=20 | Spectra | Scale scale_to=1. | Graph ${gppar2} out=Fig/Vbase.v wantaxis1=1 title='Spectrum: Input refl with bandpass' >/dev/null
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v Fig/Vbase.v > $@
	
gppar3 = min2=-1. max2=1.0  label2='amplitude' label1='z(m)' legend=0 legendtitle=' ' legendsz=10. legendpos=5.8,7. titlesz=18 labelsz=15	
Fig/refl-compare.v: rtm/refl-orig.H rtm/refl-broad.H
	< Input/refl1D.H Scale scale_to=1. | Graph ${gppar3} out=Fig/Vtop.v wantaxis1=0 title='Spectrum: Input refl' >/dev/null
	< rtm/refl-orig.H Scale scale_to=1. | Graph ${gppar3} out=Fig/Vmid.v wantaxis1=0 title='Spectrum: L2-inv with Original wavelet' >/dev/null
	< rtm/refl-broad.H Scale scale_to=1. | Graph ${gppar3} out=Fig/Vbot.v wantaxis1=0 title='Spectrum: L2-inv Boarder wavelet' >/dev/null
	< Input/refl1D.H Bandpass fhi=0.025 nphi=20 | Scale scale_to=1. | Graph ${gppar3} out=Fig/Vbase.v wantaxis1=1 title='Spectrum: Input refl with bandpass' >/dev/null
	vp_OverUnderAniso  Fig/Vtop.v Fig/Vmid.v Fig/Vbot.v Fig/Vbase.v > $@
	
view-refl-compare: Fig/wavelet-spec-compare.v Fig/refl-spec-compare.v Fig/refl-compare.v
	tube  Fig/wavelet-spec-compare.v  Fig/refl-spec-compare.v Fig/refl-compare.v &
		

