program DataWeight2D

! Read a data gather (t-x-shots)
! Stack all the energy along the first axis
! Scan thru the shot axis
! if stack energy is zero, that means the trace is empty, put a mask on the weighting
! if stack energy > zero, put 1's on the weighting

  use sep


 integer    :: it, ix, isx, nt, nx, nsx
 real       :: ot, ox, dt, dx, dsx, osx, val
 real, dimension(:,:), allocatable :: stack
 real, dimension(:,:,:), allocatable :: arrayin, arrayout
 character(len=128) ::  filename
 

 call sep_init()


   write(0,*) ' This is RemoveEmptyShot'


  ! Read back ground mmocity param
   call from_history("n1", nt);  call from_history("d1", dt);  call from_history("o1",ot);
   call from_history("n2", nx);  call from_history("d2", dx);  call from_history("o2",ox);
   call from_history("n3", nsx); call from_history("d3", dsx); call from_history("o3",osx);


write(0,*) 'pass 1'
  
  write(0,*) "shotfile", filename
  write(0,*) 'nt dt ot', nt, dt, ot
  write(0,*) 'nx dx ox', nx, dx, ox
  write(0,*) 'nsx dsx osx', nsx, dsx, osx

   allocate(stack(nx,nsx))
   allocate( arrayin(nt,nx,nsx), arrayout(nt,nx,nsx))
   
   call sep_read(arrayin)

write(0,*) 'pass 3'
   stack = 0.  

   ! Step 1, stack the first two axis
   do isx=1,nsx
     do ix=1,nx
     do it=1,nt
      stack(ix,isx) = stack(ix,isx) + abs(arrayin(it,ix,isx))
     end do
     end do
   end do


write(0,*) 'pass 4'
  

   ! Step 2, expel empty shots
   do isx=1,nsx
     do ix=1,nx
      val = stack(ix,isx)
      if (val .gt. 0.05) then
         arrayout(:,ix,isx) = 1.
      else
	 arrayout(:,ix,isx) = 0.
      end if

   end do
   end do

!----------------------------------------------
! Output
    call sep_write(arrayout)

  
write(0,*) 'pass 6'
  
  call to_history("n1",nt); call to_history("d1",dt);  call to_history("o1",ot);
  call to_history("n2",nx); call to_history("d2",dx);  call to_history("o2",ox);
  call to_history("n3",nsx); call to_history("d3", 1.); call to_history("o3",0.)
  call to_history("label1",'t(s)');
  call to_history("label2",'x(m)');
  call to_history("label3",'sx');
  

end program
