program RemoveEmptyShot

! Read a data gather (t-x-shots)
! Stack all the energy along the first 2 axis
! Scan thru the shot axis
! if stack energy is zero, that means the shot is empty, remove it
! if stack energy > zero, make a copy of the shot, output its position too

  use sep


 integer    :: it, ix, isx, nt, nx, nsx,  nsout
 real       :: ot, ox, dt, dx, dsx, osx, val
 real, dimension(:), allocatable :: shotpos, stack
 real, dimension(:,:,:), allocatable :: arrayin, arrayout
 character(len=128) ::  filename
 

 call sep_init()


   write(0,*) ' This is RemoveEmptyShot'


  ! Read back ground mmocity param
   call from_history("n1", nt);  call from_history("d1", dt);  call from_history("o1",ot);
   call from_history("n2", nx);  call from_history("d2", dx);  call from_history("o2",ox);
   call from_history("n3", nsx); call from_history("d3", dsx); call from_history("o3",osx);


write(0,*) 'pass 1'
  

   call from_param("shotposfile",filename);


write(0,*) 'pass 2'
  write(0,*) "shotfile", filename
  write(0,*) 'nt dt ot', nt, dt, ot
  write(0,*) 'nx dx ox', nx, dx, ox
  write(0,*) 'nsx dsx osx', nsx, dsx, osx

   allocate(shotpos(nsx),stack(nsx))
   allocate( arrayin(nt,nx,nsx), arrayout(nt,nx,nsx))
   
   call sep_read(arrayin)

write(0,*) 'pass 3'
   stack = 0.  

   ! Step 1, stack the first two axis
   do isx=1,nsx
     do ix=1,nx
     do it=1,nt
      stack(isx) = stack(isx) + abs(arrayin(it,ix,isx))
     end do
     end do
     write(0,*) 'isx stack', isx, stack(isx)
   end do


write(0,*) 'pass 4'
  

   ! Step 2, expel empty shots
   isout = 1
   do isx=1,nsx
      val = stack(isx)
      if (val .gt. 0.05) then
   !   write(0,*) 'isx val' , isx, val, isout
         arrayout(:,:,isout) = arrayin(:,:,isx)
         shotpos(isout) = osx+(isx-1)*dsx
          isout = isout+1
      end if

   end do
   
   nsout = isout-1

write(0,*) 'pass 5', nsout
!----------------------------------------------
! Output
    call sep_write(arrayout(:,:,1:nsout))

  
write(0,*) 'pass 6'
  
  call to_history("n1",nt); call to_history("d1",dt);  call to_history("o1",ot);
  call to_history("n2",nx); call to_history("d2",dx);  call to_history("o2",ox);
  call to_history("n3",nsout); call to_history("d3", 1.); call to_history("o3",0.)
  call to_history("label1",'t(s)');
  call to_history("label2",'x(m)');
  call to_history("label3",'sx');
  
  call sep_write(shotpos(1:nsout), filename)
    call auxputch("n1",'i',nsout,filename)
    call auxputch("d1",'f',1.,filename)
    call auxputch("o1",'f',0.,filename)
    call auxputch("label1",'s','sx_pos',filename) 
  
  write(0,*) 'pass 7'

end program
