!! Creat a velocity model with salt in it
!! This program is very specific
!! 3 output files
!! true, too-high, too-low


program Velcreate1D

  use sep
  use smooth_mod
  implicit none




  character(len=128)  :: outfile_, outhigh_, outlow_, outsedi_
  character(len=128)  :: outhigh2_, outlow2_, outhigh3_, outlow3_
  integer             :: nz
  real                :: dz, oz
  real                :: vsedi1,vsedi2,vsalt
  real                :: ztop, zbot, val
  integer             :: iz, izbeg, izend, ishift, ishift2, ishift3

!! velocity values
  real, dimension(:), pointer :: veltrue, velhigh, vellow,velsedi
 real, dimension(:), pointer :: velhigh2, vellow2, velhigh3, vellow3



!! Open I/O
  call sep_init()

  call from_param("nz",nz,350); call from_param("dz",dz,12.5); call from_param("oz",oz,0.);


  vsedi1 = 2000.
  vsedi2 = 3500.
  vsalt = 4500.
  ztop = 2000.
  zbot = 3500.
  izbeg = (ztop-oz)/dz+1.5
  izend = (zbot-oz)/dz+1.5 
  ishift = 5
  ishift2 = 15
  ishift3 = 25

  !! Read in filename
  call from_param('outfile',outfile_); 
  call from_param('outhigh',outhigh_);
  call from_param('outlow',outlow_);
  call from_param('outsedi',outsedi_);
  call from_param('outhigh2',outhigh2_);
  call from_param('outlow2',outlow2_);
  call from_param('outhigh3',outhigh3_);
  call from_param('outlow3',outlow3_);
 


  write(0,*) '######################################'
  write(0,*) 'Program: Velcreate1D.x'
  write(0,*) 'nz, oz, dz',  nz, oz, dz
  write(0,*) 'vsedi1, vsedi2', vsedi1, vsedi2
  write(0,*) 'vsalt', vsalt 
  write(0,*) '######################################'

    !! Output files
    call auxputch("n1",'i',nz,outfile_);       
    call auxputch("d1",'f',dz,outfile_);       
    call auxputch("o1",'f',oz,outfile_);        
    call auxputch("label1",'s','z(m)',outfile_);    

    call auxputch("n1",'i',nz,outhigh_);        
    call auxputch("d1",'f',dz,outhigh_);      
    call auxputch("o1",'f',oz,outhigh_);      
    call auxputch("label1",'s','z(m)',outhigh_);    

    call auxputch("n1",'i',nz,outlow_);       
    call auxputch("d1",'f',dz,outlow_);      
    call auxputch("o1",'f',oz,outlow_);      
    call auxputch("label1",'s','z(m)',outlow_);    

    call auxputch("n1",'i',nz,outsedi_);       
    call auxputch("d1",'f',dz,outsedi_);      
    call auxputch("o1",'f',oz,outsedi_);       
    call auxputch("label1",'s','z(m)',outsedi_);   

   call auxputch("n1",'i',nz,outhigh2_);        
    call auxputch("d1",'f',dz,outhigh2_);      
    call auxputch("o1",'f',oz,outhigh2_);      
    call auxputch("label1",'s','z(m)',outhigh2_);    

    call auxputch("n1",'i',nz,outlow2_);       
    call auxputch("d1",'f',dz,outlow2_);      
    call auxputch("o1",'f',oz,outlow2_);      
    call auxputch("label1",'s','z(m)',outlow2_);   

   call auxputch("n1",'i',nz,outhigh3_);        
    call auxputch("d1",'f',dz,outhigh3_);      
    call auxputch("o1",'f',oz,outhigh3_);      
    call auxputch("label1",'s','z(m)',outhigh3_);    

    call auxputch("n1",'i',nz,outlow3_);       
    call auxputch("d1",'f',dz,outlow3_);      
    call auxputch("o1",'f',oz,outlow3_);      
    call auxputch("label1",'s','z(m)',outlow3_);   


  call sep_close()

  allocate(veltrue(nz),velhigh(nz),vellow(nz),velsedi(nz))
  allocate(velhigh2(nz), vellow2(nz), velhigh3(nz), vellow3(nz))


     do iz=1,nz
        veltrue(iz) = 0;
        velhigh(iz) = 0;
        vellow(iz) = 0;
	velsedi(iz) = 0;
        velhigh2(iz) = 0;
        vellow2(iz) = 0;
        velhigh3(iz) = 0;
        vellow3(iz) = 0;
     end do

 
! First lay the sedimentary background
  do iz=1,nz
      val = vsedi1+ (vsedi2-vsedi1)*iz/nz
      veltrue(iz) = val;
      velhigh(iz) = val;
      velhigh2(iz) = val;
      velhigh3(iz) = val;
      vellow(iz) = val;
      vellow2(iz) = val;
      vellow3(iz) = val;
      velsedi(iz) = val;
  end do
  
! Lay the horizontal salt block
     do iz=izbeg,izend
        veltrue(iz) = vsalt
        vellow(iz+ishift) = vsalt
        velhigh(iz-ishift) = vsalt
        vellow2(iz+ishift2) = vsalt
        velhigh2(iz-ishift2) = vsalt
        vellow3(iz+ishift3) = vsalt
        velhigh3(iz-ishift3) = vsalt
     end do


!! Write new vel values to output
  call sep_write(veltrue,outfile_);
  call sep_write(velhigh,outhigh_);
  call sep_write(vellow,outlow_);
  call sep_write(velsedi,outsedi_);

  write(0,*) 'outhigh2_, outhigh3_', outhigh2_, outhigh3_

  call sep_write(velhigh2,outhigh2_);
  call sep_write(vellow2,outlow2_);
  call sep_write(velhigh3,outhigh3_);
  call sep_write(vellow3,outlow3_);

  call exit(0)
   
end program 
